Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1132078 - RESTAPI: RSDL does not document all available parameters
Summary: RESTAPI: RSDL does not document all available parameters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Martin Betak
QA Contact: Artyom
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-08-20 15:42 UTC by akotov
Modified: 2015-07-13 04:13 UTC (History)
12 users (show)

Fixed In Version: vt2.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 18:08:24 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 31774 master MERGED restapi: Add vm.disks.disk collection to RSDL schema Never
oVirt gerrit 31906 ovirt-engine-3.5 MERGED restapi: Add vm.disks.disk collection to RSDL schema Never

Description akotov 2014-08-20 15:42:10 UTC
Description of problem:

The ability of being able to clone a VM from a template to a different storage domain using the REST-API has been available since RHEV 3.1, however RSDL 

Version-Release number of selected component (if applicable):

latest rhev, latest ovirt

---


(storage_domain_id currently is present only in <xs:group name="IscsiTarget">), however the ability to clone disk from one storage domain to another is there from 3.1 and needs documenting

# curl -X POST -H 'Accept: application/xml' -H 'Content-type: application/xml' -u admin@internal:<password> --cacert /etc/pki/ovirt-engine/ca.pem https://<engine_fqdn>:443/api/vms -d '<vm><name>gfw-ft</name><cluster><name>Cetus</name></cluster><template><name>cloudinit_base</name></template><disks><clone>true</clone><disk id=\"28b3f46f-b08d-4680-97a5-40bad58a690c\"><storage_domains><storage_domain id=\"8aad6ad0-0efd-4b74-8461-482854a9bb73\"/></storage_domains><format>COW</format></disk></disks></vm>'

Comment 2 Artyom 2014-10-05 13:13:33 UTC
Verified on rhevm-3.5.0-0.13.beta.el6ev.noarch

Comment 4 errata-xmlrpc 2015-02-11 18:08:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.